.building {
    display: grid;
    grid-template-columns: minmax(320px, 418px) auto;
    margin-bottom: 20px;
}

@media (max-width: 1024px) {
    .building {
        grid-template-columns: 1fr;
    }
}

.main-balance {
    height: 100%;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    background-color: #fff;
    text-align: center;
    margin-right: var(--gap);
    padding: var(--gap);
    max-height: 440px;
    overflow: hidden;
}

@media (max-width: 1024px) {
    .main-balance {
        margin-right: 0;
        margin-bottom: var(--gap);
        height: auto;
    }

    .main-balance::after {
        content: '';
        position: absolute;
        left: -50%;
        top: -53%;
        width: 100%;
        height: 500px;
        border-radius: 50%;
        background-color: #eef8d9;
        pointer-events: none;
    }
}

@media (max-width: 768px) {
    .main-balance {
        padding-left: calc(var(--gap) / 2);
        padding-right: calc(var(--gap) / 2);
    }
}

@media (max-width: 532px) {
    .main-balance {
        max-width: calc(328px + (500 - 328) * ((100vw - 360px) / (532 - 360)));
    }
}

.main-balance__title {
    font-size: 32px;
    line-height: 126%;
    color: var(--title-color);
    z-index: 2;
}

@media (max-width: 1024px) and (min-width: 480px) {
    .main-balance__title {
        text-align: left;
        padding-left: 290px;
        padding-left: calc(208px + (290 - 208) * ((100vw - 650px) / (1024 - 650)));
    }
}

.main-balance__content {
    flex: 1 1 auto;
    margin: 24px 0;
    z-index: 2;
}


@media (max-width: 1024px) {
    .main-balance__content {
        margin: 12px 0 24px;
        flex: inherit;
    }
}

.main-balance__content ._icon-rub-currency {
    font-size: 0.8em;
}

.main-balance__image {
    max-width: 176px;
    max-height: 165px;
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 2;
}

@media (max-width: 1024px) {
    .main-balance__image {
        position: absolute;
        max-height: 185px;
        left: 92px;
        left: calc(32px + (92 - 32) * ((100vw - 768px) / (1024 - 768)));
        top: 32px;
        margin-right: var(--gap);
    }
}

@media (max-width: 480px) {
    .main-balance__image {
        display: none;
        pointer-events: none;
    }
}

@media (max-width: 768px) {
    .main-balance__image {
        max-height: 130px;
        max-width: 140px;
        left: calc(var(--gap) / 2);
        transform: translateY(25%);
    }
}

.main-balance__value {
    font-size: 2.375em;
    line-height: 1.18;
    z-index: 2;
    white-space: nowrap;
}

@media (max-width: 1024px) and (min-width: 480px) {
    .main-balance__value {
        text-align: left;
        padding-left: 290px;
        padding-left: calc(208px + (290 - 208) * ((100vw - 650px) / (1024 - 650)));
    }
}

.main-balance__date {
    font-size: .875em;
    line-height: 1.14;
    color: #5c5b58;
    margin-bottom: 0.5rem;
    z-index: 2;
}

@media (max-width: 1024px) and (min-width: 480px) {
    .main-balance__date {
        text-align: left;
        padding-left: 290px;
        padding-left: calc(208px + (290 - 208) * ((100vw - 650px) / (1024 - 650)));
    }
}

.main-balance .btn {
    max-width: 240px;
    margin: 0 auto;
    z-index: 2;
}

@media (max-width: 1024px) and (min-width: 480px) {
    .main-balance .btn {
        text-align: left;
        margin-left: 290px;
        margin-left: calc(208px + (290 - 208) * ((100vw - 650px) / (1024 - 650)));
    }
}

.balance__header {
    background: #FFFFFF;
    border-radius: 4px;
    color: var(--title-color);
    width: 100%;
    line-height: 148%;
    position: relative;
    display: flex;
    justify-content: space-between;
}

@media (min-width: 320px) {
    .balance__header {
        flex-direction: column;
        overflow: hidden;
        margin-bottom: 24px;
    }
}

@media (min-width: 992px) {
    .balance__header {
        flex-direction: row;
        overflow: visible;
        margin-bottom: 64px;
    }
}

.balance__house-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

@media (min-width: 320px) {
    .balance__house-logo {
        height: 156px;
    }
}

@media (min-width: 992px) {
    .balance__house-logo {
        width: 166px;
        flex: 0 0 166px;
        transform: translate(24px, -50%);
    }
}

@media (min-width: 1280px) {
    .balance__house-logo {
        width: 218px;
        flex: 0 0 218px;
        transform: translate(32px, -50%);
        height: 218px;
    }
}

@media (min-width: 360px) {
    .balance__house-logo::after {
        width: calc(100% + 32px);
        left: -32px;
    }
}

.balance__house-logo::after {
    content: '';
    background: var(--lightgray-color);
    width: 100%;
    height: 50%;
    position: absolute;
    top: 0;
    left: 0;
}

.balance__house-logo img {
    width: 120px;
    min-width: 120px;
    height: 120px;
    object-fit: cover;
    object-position: center;
    margin: auto;
    z-index: 2;
    border: 4px solid #FFFFFF;
    filter: drop-shadow(0px 4px 16px rgba(0, 0, 0, 0.05));
    border-radius: 50%;
    background-color: var(--lightgray-color);
}

@media (min-width: 1280px) {
    .balance__house-logo img {
        width: 174px;
        min-width: 174px;
        height: 174px;
    }
}

.balance__house-logo._icon-image-outter::before {
    color: var(--lightgray-color);
    position: absolute;
    font-size: 156px;
    z-index: 2;
}

@media (min-width: 1280px) {
    .balance__house-logo._icon-image-outter::before {
        font-size: 218px;
    }
}

.balance__house-info {
    position: relative;
    width: 100%;
    background: #fff;
}

@media (min-width: 320px) {
    .balance__house-info {
        padding: 24px 16px;
    }
}

@media (min-width: 768px) {
    .balance__house-info {
        padding: 24px var(--gap);
    }
}

@media (min-width: 992px) {
    .balance__house-info {
        margin-left: 24px;
    }
}

@media (min-width: 1280px) {
    .balance__house-info {
        margin-left: calc(36px + (48 - 36) * ((100vw - 1280px) / (1920 - 1280)));
    }
}

.balance__info {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    font-size: 12px;
    line-height: 1.4;
}

@media (min-width: 480px) {
    .balance__info {
        flex-direction: row;
        font-size: 14px;
    }
}

.balance__info:nth-child(1) {
    border-bottom: 1px solid var(--border-color);
    padding-bottom: 16px;
}

.balance__info:not(:nth-child(1)) {
    margin-top: 16px;
}

.balance__info .js-currentMonth {
    color: var(--primary-color);
}

.balance__header .balance__info p:nth-child(2) {
    /*display: flex;
    align-items: center;*/
    font-family: var(--font-family-600);
}

.balance__header .balance__info ._icon-rub-currency {
    font-size: 0.75em;
}

.balance__info-value {
    color: var(--title-color);
    font-size: calc(20px + (28 - 20) * ((100vw - 320px) / (1280 - 320)));
    white-space: nowrap;
}

@media (min-width: 1280px) {
    .balance__info-value {
        font-size: 32px;
    }
}

.balance__calendar {
    display: flex;
    align-items: center;
}

form.dropdown-container ._icon-calendar {
    color: var(--gray-color);
    transition: var(--transition);
}

input:not([type="submit"])[data-type="monthpicker"] {
    text-align: right;
    cursor: pointer;
    color: var(--gray-color);
    padding: 10px 16px 10px 0;
    border-radius: 33px;
    transition: var(--transition);
    background: transparent;
    font-size: 14px;
}

@media (min-width: 480px) {
    input:not([type="submit"])[data-type="monthpicker"] {
        font-size: 16px;
    }
}

input:not([type="submit"])[data-type="monthpicker"]:hover,
input:not([type="submit"])[data-type="monthpicker"]:hover ~ ._icon-calendar {
    color: var(--primary-color);
}


form.dropdown-container {
    height: 40px;
    border: 1px solid var(--border-color);
    align-items: center;
    display: inline-flex;
    border-radius: 33px;
    padding-right: 20px;
    transition: var(--transition);
    min-width: 190px;
}

form.dropdown-container:hover {
    border-color: var(--primary-color);
}

.balance__image {
    max-width: 275px;
    max-height: 260px;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.balance__char {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.balance__char::before {
    content: '';
    position: absolute;
    background-color: #fff;
    width: 100%;
    height: 50%;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    border-radius: 4px 4px 0 0;
    box-shadow: 4px 4px 8px 0px rgb(20 29 31 / 10%);
}

.balance__char-total {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 24px;
    line-height: 115%;
    color: var(--gray-color);
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
}

.char-total__value {
    font-size: 28px;
    line-height: 115%;
    color: var(--title-color);
}

.balance__content {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 24px;
}

@media (min-width: 992px) {
    .balance__content {
        grid-template-columns: 1fr 1fr;
        grid-gap: var(--gap);
    }
}

.balance-row {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    text-align: center;
    /*transform: scale(0.75);
    transform-origin: left top;*/
}

@media (min-width: 430px) {
    .balance-row {
        transform: none;
    }
}


.balance-column {
    position: relative;
}

.balance__category {
    background-color: #FFFFFF;
    position: relative;
    padding: 32px 0;
    font-size: 14px;
    line-height: 146%;
    width: 100%;
    border-radius: 0 0 4px 4px;
    margin-bottom: 20px;
}

.balance__category::before {
    content: '';
    position: absolute;
    width: calc(100% - 16px);
    height: 100%;
    left: 8px;
    bottom: 0;
    z-index: -1;
    -webkit-box-shadow: 4px 4px 16px 0px rgb(20 29 31 / 30%);
    -moz-box-shadow: 4px 4px 16px 0px rgba(20, 29, 31, 0.3);
    box-shadow: 4px 4px 16px 0px rgb(20 29 31 / 30%);
}

.balance__category-caption {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 14px;
    line-height: 153%;
    color: var(--title-color);
    border-bottom: 1px solid var(--border-color);
    padding: 7px 0;
    margin: 0 24px;
}

.balance__category-list {
}

a.balance__category-item {
    text-decoration: none;
}

.balance__category-item {
    display: grid;
    grid-template-columns: 20px auto 100px;
    align-items: center;
    text-align: left;
    padding: 12px 24px;
    background-color: #fff;
    transition: var(--transition);
}

.balance__category-item:hover {
    background-color: #f4f4f4;
    text-decoration: none;
}

.balance__category-item i {
    color: var(--gray2-color);
    font-size: 1.3rem;
}

.balance__category-name {
    display: flex;
    align-items: center;
    color: var(--gray-color);
    padding: 0 8px;
}

.balance__category-value {
    display: flex;
    align-items: center;
    text-align: right;
    justify-content: end;
    color: var(--title-color);
    font-family: var(--font-family-600);
}

.balance__calendar button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 40px;
    width: 100%;
    max-width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: transparent;
    transition: var(--transition);
    cursor: pointer;
}

.balance__calendar button:hover {
    color: #fff;
    background-color: rgba(0, 0, 0, 0.3);
}

.js-lastMonth {
    margin-right: 8px;
    justify-content: flex-start;
}

.js-nextMonth {
    margin-left: 8px;
    justify-content: flex-end;
}

.balance__empty {
    background: #fff;
    padding: 64px 0;
}

.balance__empty-title {
    margin-bottom: var(--gap);
    padding: 0 10px;
}

.balance__empty-title span {
    color: var(--primary-color);
}

@media (max-width: 1280px) {
    input:not([type="submit"])[data-type="monthpicker"] {
        max-width: 180px;
    }

    .balance__info:not(:nth-child(1)) {
        margin-top: 10px;
    }

    .balance__empty-title {
        font-size: 28px;
    }
}

.js-canvas * {
    transition: var(--transition);
}

.js-canvas img {
    filter: brightness(10);
}